Subject: Re: bug#17561: Emacs can forget processes

From: Paul Eggert <[email-masked]>
Date: Fri, 30 May 2014 14:29:36 -0700

On 05/30/2014 01:41 PM, Jorgen Schaefer wrote:
> So I would assume that this bug is fixed, and if I come across weird
> behavior again, I'll create a new report or re-open this one.

Thanks, closing the bug.

> Possibly related, while trying to reproduce the bug, I have noticed
> some other strange behavior. I managed to reduce it to the following
> reproduction code:
>
> (with-temp-buffer
>    (let ((proc (start-process "test" (current-buffer) "bash" "-c"
>                               "echo foo ; sleep 5")))
>      (set-process-query-on-exit-flag proc nil)
>      (accept-process-output nil 2)))
>
> This hangs my normal Emacs for 2 seconds. A newly-started Emacs returns
> immediately. I*suspect*  that this is a timing issue, and strace
> *seems*  to concur - Emacs reads the "foo" from the subprocess before
> running accept-process-output, and then just hangs for the two second
> timeout, instead of noticing that there already was some output. Should
> I create a new bug report for this?

Yes, please.  It'd be nice to get an strace of Emacs, particularly where 
it goes wrong (which may be well before the symptoms start being visible).